### Function

# Gtk BitsetIter init_first

#### Declaration [src]

    gboolean
    gtk_bitset_iter_init_first (
      GtkBitsetIter* iter,
      const GtkBitset* set,
      guint* value
    )

#### Description [src]

Initializes an iterator for `set` and points it to the first value in `set`.

If `set` is empty, `FALSE` is returned and `value` is set to `G_MAXUINT`.

#### Parameters

`iter`

  Type: `GtkBitsetIter`

  A pointer to an uninitialized `GtkBitsetIter`

  The argument will be set by the function.
  The data is owned by the function.

`set`

  Type: `GtkBitset`

  A `GtkBitset`

  The data is owned by the caller of the function.

`value`

  Type: `guint*`

  Set to the first value in `set`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if `set` isn’t empty.